AtteanX::Parser::RDFXML(3pm)

NAME
AtteanX::Parser::RDFXML - RDF/XML Parser

VERSION
This document describes AtteanX::Parser::RDFXML version 0.035

SYNOPSIS
 use Attean;
 my $parser = Attean->get_parser('RDFXML')->new(base => $base_iri);

 use AtteanX::Parser::Turtle;
 my $parser     = AtteanX::Parser::Turtle->new( handler => sub {...}, base => $base_iri );

 # Parse data from a file-handle and handle triples in the 'handler' callback
 $parser->parse_cb_from_io( $fh );

 # Parse the given byte-string, and return an iterator of triples
 my $iter = $parser->parse_iter_from_bytes('<rdf:RDF>...</rdf:RDF>');
 while (my $triple = $iter->next) {
   print $triple->as_string;
 }

DESCRIPTION
This module implements a parser for the RDF/XML format.

ROLES
This class consumes Attean::API::Parser, Attean::API::PushParser, <Attean::API::AbbreviatingParser>, and <Attean::API::TripleParser>.

ATTRIBUTES

"canonical_media_type"
"media_types"
"file_extensions"
"bnode_prefix"
"blank_nodes"
    A string prefix for identifiers generated for blank nodes.

METHODS

"canonical_media_type"
    Returns the canonical media type for SPARQL XML: application/sparql-results+json.

"media_types"
    Returns a list of media types that may be parsed with the SPARQL XML parser: application/sparql-results+json.

"file_extensions"
    Returns a list of file extensions that may be parsed with the parser.

parse_cb_from_io( $fh )
    Calls the "$parser->handler" function once for each Attean::API::Binding object that result from parsing the data read from the IO::Handle object $fh.

parse_cb_from_bytes( $data )
    Calls the "$parser->handler" function once for each Attean::API::Binding object that result from parsing the data read from the UTF-8 encoded byte string $data.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2022 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.